org.flexdock.perspective.actions

## Class OpenPerspectiveAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - org.flexdock.perspective.actions.OpenPerspectiveAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

    public class OpenPerspectiveAction
    extends javax.swing.AbstractAction

Author:
  Christopher Butler
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
Constructor and Description
`OpenPerspectiveAction(java.lang.String perspectiveId)`

### Method Summary

Methods
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`Perspective` `getPerspective()`

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenPerspectiveAction

    public OpenPerspectiveAction(java.lang.String perspectiveId)

### Method Detail

#### getPerspective

    public Perspective getPerspective()

#### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)